<!DOCTYPE html>
<html lang="fr">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Installer un Certificat Auto-signé</title>
	<link rel="stylesheet" href="main.css">
</head>
<body>
	<main>
		<h1>Installer un Certificat Auto-signé</h1>
		<p>Pour utiliser cette application, vous devez installer le certificat SSL auto-signé.</p>

		<section on-platform="win">
			<h2>Instructions pour Windows</h2>
			<ol>
				<li>Double-cliquez sur le fichier <a href="#server.cert">server.cert</a> pour ouvrir l'assistant d'installation du certificat.</li>
				<li>Sélectionnez "Installer le certificat" et choisissez "Ordinateur local".</li>
				<li>Sélectionnez "Placer tous les certificats dans le magasin suivant" et choisissez "Autorités de Certification Racine de Confiance".</li>
				<li>Terminez l'assistant et confirmez l'installation.</li>
				<li>Redémarrez l'application nan•web</li>
			</ol>
		</section>

		<section on-platform="mac">
			<h2>Instructions pour Mac</h2>
			<ol>
				<li>Ouvrez l'application Accès aux Trousseaux (Keychain Access).</li>
				<li>Faites glisser et déposez le fichier <a href="#server.cert">server.cert</a> dans le trousseau "Système".</li>
				<li>Trouvez le certificat dans la liste <code>localhost</code>, double-cliquez dessus et développez la section "Confiance".</li>
				<li>Réglez "Lors de l'utilisation de ce certificat" sur "Toujours faire confiance".</li>
				<li>Redémarrez l'application nan•web</li>
			</ol>
		</section>

		<section on-platform="lin">
			<h2>Instructions pour Linux</h2>
			<ol>
				<li>Copiez le certificat dans le répertoire <code>/usr/local/share/ca-certificates/</code> :
					<pre>sudo cp <loc file="server.cert"></loc> /usr/local/share/ca-certificates/server.crt</pre>
				</li>
				<li>Mettez à jour les certificats CA :
					<pre>sudo update-ca-certificates</pre>
				</li>
				<li>Redémarrez l'application nan•web</li>
			</ol>
		</section>
	</main>

	<script src="main.js" type="module"></script>
</body>
</html>
